Redmine - Defect #608

RuntimeError (LdapError: no bind result):
2008-02-05 08:02 - Kioma Aldecoa

Status: Closed Start date: 2008-02-05
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

I'm using LDAP authentication. | often get a failed login when trying to use Idap-based accounts, with this in the logs:

RuntimeError (LdapError: no bind result):

/app/models/auth_source_ldap.rb:55:in “authenticate'
/var/lib/gems/1.8/gems/activerecord-2.0.2/lib/active_record/associations/association_proxy.rb:125:in “send’
Ivar/lib/gems/1.8/gems/activerecord-2.0.2/lib/active_record/associations/association_proxy.rb:125:in “‘method_missing’
/app/models/user.rb:92:in “try_to_login'

/app/controllers/account_controller.rb:46:in “login'

It may be related to the following net-ldap bug:

http://rubyforge.org/tracker/index.php?func=detail&aid=7392&group_id=143&atid=631

This bug happens often enough for me that it basically makes the Idap integration unusable. I'm trying the patch listed on that page
and | can report back here if it helps.

Associated revisions

Revision 1148 - 2008-02-15 18:22 - Jean-Philippe Lang
Fix applied to ruby-net-ldap (#608).

History

#1 - 2008-02-12 10:24 - Kioma Aldecoa

I've been running with this patch for about a week and no LDAP problems. So I'd suggest using a net-ldap version with the referenced patch applied.

#2 - 2008-02-15 18:23 - Jean-Philippe Lang

- Status changed from New to Closed

| couldn't reproduce this error. Anyway, | applied the patch in r1148.
Thanks for pointing out the fix.
